Subject: [PATCH] gnu: Add distrobox.

From: Ricardo Wurmus <[email-masked]>
Date: Mon, 19 Dec 2022 17:30:23 +0100

Hi,

thanks for the patch.

I’m always a bit worried when I see the copy-build-system, because the
lack of a configuration step often means that the tool makes possibly
invalid assumptions about the runtime environment.

I see that you’re patching the locations of “podman”, “wget”, and
“command -v”, but the tools contain even more references, e.g. to
“curl”, “grep”, “sed”, coreutils, “host-spawn”, “sudo”, “pinentry”,
“less”, …

It may be a better idea to wrap all the executables in a reasonable
default environment.

What do you think?

-- 
Ricardo